Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Flume, mail # dev - [VOTE] Release Apache Flume version 1.3.0


Copy link to this message
-
Re: [VOTE] Release Apache Flume version 1.3.0 rc4
Hari Shreedharan 2012-11-21, 01:17
Brock,

Seems like this is affecting only trunk, I am able to build the flume-1.3.0 branch. The reason seems to be that it is because the final built artifacts from that branch are not SNAPSHOTs and therefore are immutable. Unless someone changes the pom to adjust dependencies on an artifact that already exists in one of the repos, this problem does not seem to happen.

At this point, since the release branch would not have this issue, we are probably ok to release, but we need to fix it asap in our trunk and 1.4 branch. I will verify the rest of the release and vote.
Thanks
Hari

--
Hari Shreedharan
On Tuesday, November 20, 2012 at 4:50 PM, Brock Noland wrote:

> Can you send the exact steps to reproduce? Deleting my m2 repo didn't reproduce the error.
>
> --
> Brock Noland
> Sent with Sparrow (http://www.sparrowmailapp.com/?sig)
>
>
> On Tuesday, November 20, 2012 at 6:38 PM, Hari Shreedharan wrote:
>
> > Hi,
> >
> > It seems like FLUME-1732 is actually a blocker. Delete your .m2/repository directory and run a full build. It fails the first time (though it may work subsequently). This seems to be caused by a maven bug - I am not entirely sure how we can fix it. Seems like adding netty as a dependency wherever sdk is pulled in works - I know it is lame, but I don't think we should release something that fails to build the first time around. Can we add that to the pom.xml files and then respin an RC? Sorry about the number of RCs here, but I really do think this one is a blocker.
> >
> >
> > Thanks,
> > Hari
> >
> > --
> > Hari Shreedharan
> >
> >
> > On Tuesday, November 20, 2012 at 8:22 AM, Jarek Jarcec Cecho wrote:
> >
> > > +1
> > >
> > > * Checksums fine
> > > * Signatures fine
> > > * All shipped JARs seems to have appropriate entry in LICENSE file
> > > * Tests seems to be passing
> > > * Files CHANGELOG, LICENSE, NOTICE, README, RELEASE-NOTES seems fine
> > >
> > > Jarcec
> > >
> > > On Mon, Nov 19, 2012 at 12:49:57PM -0600, Brock Noland wrote:
> > > > This is the first release for Apache Flume as a top-level project,
> > > > version 1.3.0. We are voting on release candidate rc4.
> > > >
> > > > *** Please cast your vote within the next 72 hours ***
> > > >
> > > > The list of fixed issues:
> > > > http://s.apache.org/Q3i
> > > >
> > > > The tarball (*.tar.gz), signature (*.asc), and checksums (*.md5, *.sha1)
> > > > for the source and binary artifacts can be found at:
> > > > http://people.apache.org/~brock/flume-1.3.0-rc4/
> > > >
> > > > Nexus Staging Repository:
> > > > https://repository.apache.org/content/repositories/orgapacheflume-047/
> > > >
> > > > The tag to be voted on:
> > > > http://s.apache.org/80Y
> > > >
> > > > The KEYS file can be found here:
> > > > https://svn.apache.org/repos/asf/flume/dist/KEYS
> > > >
> > >
> > >
> >
> >
>
>
>